using System;
using System.Reflection.Emit;

internal sealed class Delegate871 : MulticastDelegate
{
	public extern void Invoke(object object_0, OpCode opCode_0, int int_0);

	public static void smethod_0(object object_0, OpCode opCode_0, int int_0, Delegate871 delegate871_1)
	{
		delegate871_1(object_0, opCode_0, int_0);
	}

	public extern Delegate871(object object_0, IntPtr intptr_0);

	static Delegate871()
	{
		Class10.smethod_13(typeof(Delegate871).TypeHandle);
	}

	internal static Delegate871 delegate871_0;
}
